net.minecraftforge.event.entity.player

## Class PlayerEvent.HarvestCheck

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.player.PlayerEvent
        - - net.minecraftforge.event.entity.player.PlayerEvent.HarvestCheck

- Enclosing class:
    PlayerEvent

      public static class PlayerEvent.HarvestCheck
      extends PlayerEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `PlayerEvent.BreakSpeed, PlayerEvent.Clone, PlayerEvent.HarvestCheck, PlayerEvent.LoadFromFile, PlayerEvent.NameFormat, PlayerEvent.SaveToFile, PlayerEvent.StartTracking, PlayerEvent.StopTracking`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Block` | `block`
    `boolean` | `success`

    - ### Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerEvent.HarvestCheck(EntityPlayer player, Block block, boolean success)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### block

          public final Block block

    - #### success

          public boolean success

  - ### Constructor Detail

    - #### PlayerEvent.HarvestCheck

          public PlayerEvent.HarvestCheck(EntityPlayer player,
                                  Block block,
                                  boolean success)